fr:
  faker:
    address:
      building_number:
        - "####"
        - "###"
        - "##"
        - "#"
      street_prefix:
        - Allée
        - Anse
        - Avenue
        - Boulevard
        - Carrefour
        - Chaussée
        - Chemin
        - Cité
        - Clos
        - Côte
        - Cour
        - Cours
        - Degré
        - Descente
        - Drève
        - Escoussière
        - Esplanade
        - Gaffe
        - Grand-route
        - Impasse
        - Liaison
        - Mail
        - Montée
        - Passage
        - Place
        - Placette
        - Pont
        - Promenade
        - Quai
        - Résidence
        - Rang
        - Rampe
        - Rond-point
        - Route
        - Rue
        - Ruelle
        - Sente
        - Sentier
        - Square
        - Traboule
        - Traverse
        - Venelle
        - Villa
        - Voie
      secondary_address:
        - 'Apt. ###'
        - "# étage"
      postcode:
        - "#####"
      state:
        - Alsace
        - Aquitaine
        - Auvergne
        - Basse-Normandie
        - Bourgogne
        - Bretagne
        - Centre
        - Champagne-Ardenne
        - Corse
        - Franche-Comté
        - Guadeloupe
        - Guyane
        - Haute-Normandie
        - Île-de-France
        - La Réunion
        - Languedoc-Roussillon
        - Limousin
        - Lorraine
        - Martinique
        - Mayotte
        - Midi-Pyrénées
        - Nord-Pas-de-Calais
        - Pays de la Loire
        - Picardie
        - Poitou-Charentes
        - Provence-Alpes-Côte d'Azur
        - Rhône-Alpes
      city_name:
        - Agen
        - Aix-en-Provence
        - Ajaccio
        - Albi
        - Alès
        - Alfortville
        - Amiens
        - Angers
        - Anglet
        - Angoulême
        - Annecy
        - Annemasse
        - Antibes
        - Antony
        - Argenteuil
        - Arles
        - Arras
        - Asnières-sur-Seine
        - Athis-Mons
        - Aubagne
        - Aubervilliers
        - Aulnay-sous-Bois
        - Auxerre
        - Avignon
        - Bagneux
        - Bagnolet
        - Baie-Mahault
        - Bastia
        - Bayonne
        - Beauvais
        - Belfort
        - Besançon
        - Béziers
        - Bezons
        - Blois
        - Bobigny
        - Bondy
        - Bordeaux
        - Boulogne-Billancourt
        - Boulogne-sur-Mer
        - Bourg-en-Bresse
        - Bourges
        - Brest
        - Brive-la-Gaillarde
        - Bron
        - Cachan
        - Caen
        - Cagnes-sur-Mer
        - Calais
        - Caluire-et-Cuire
        - Cambrai
        - Cannes
        - Carcassonne
        - Castres
        - Cayenne
        - Cergy
        - Chalon-sur-Saône
        - Châlons-en-Champagne
        - Chambéry
        - Champigny-sur-Marne
        - Charenton-le-Pont
        - Charleville-Mézières
        - Chartres
        - Châteauroux
        - Châtellerault
        - Châtenay-Malabry
        - Châtillon
        - Chatou
        - Chelles
        - Cherbourg-en-Cotentin
        - Choisy-le-Roi
        - Cholet
        - Clamart
        - Clermont-Ferrand
        - Clichy
        - Colmar
        - Colombes
        - Colomiers
        - Compiègne
        - Conflans-Sainte-Honorine
        - Corbeil-Essonnes
        - Courbevoie
        - Creil
        - Créteil
        - Dijon
        - Douai
        - Draguignan
        - Drancy
        - Dreux
        - Dumbéa
        - Dunkerque
        - Échirolles
        - Épinal
        - Épinay-sur-Seine
        - Évreux
        - Évry-Courcouronnes
        - Fontenay-sous-Bois
        - Fort-de-France
        - Franconville
        - Fréjus
        - Gagny
        - Gap
        - Garges-lès-Gonesse
        - Gennevilliers
        - Goussainville
        - Grasse
        - Grenoble
        - Haguenau
        - Herblay-sur-Seine
        - Houilles
        - Hyères
        - Issy-les-Moulineaux
        - Istres
        - Ivry-sur-Seine
        - Joué-lès-Tours
        - Koungou
        - L'Haÿ-les-Roses
        - La Ciotat
        - La Courneuve
        - La Possession
        - La Roche-sur-Yon
        - La Rochelle
        - La Seyne-sur-Mer
        - Laval
        - Le Blanc-Mesnil
        - Le Cannet
        - Le Chesnay-Rocquencourt
        - Le Havre
        - Le Lamentin
        - Le Mans
        - Le Perreux-sur-Marne
        - Le Port
        - Le Tampon
        - Lens
        - Les Abymes
        - Les Mureaux
        - Les Sables-d'Olonne
        - Levallois-Perret
        - Liévin
        - Lille
        - Limoges
        - Livry-Gargan
        - Lorient
        - Lyon
        - Mâcon
        - Maisons-Alfort
        - Malakoff
        - Mamoudzou
        - Mantes-la-Jolie
        - Marcq-en-Barœul
        - Marignane
        - Marseille
        - Martigues
        - Massy
        - Matoury
        - Meaux
        - Melun
        - Menton
        - Mérignac
        - Metz
        - Meudon
        - Meyzieu
        - Montauban
        - Montélimar
        - Montigny-le-Bretonneux
        - Montluçon
        - Montpellier
        - Montreuil
        - Montrouge
        - Mulhouse
        - Nancy
        - Nanterre
        - Nantes
        - Narbonne
        - Neuilly-sur-Marne
        - Neuilly-sur-Seine
        - Nevers
        - Nice
        - Nîmes
        - Niort
        - Nogent-sur-Marne
        - Noisy-le-Grand
        - Noisy-le-Sec
        - Nouméa
        - Orléans
        - Palaiseau
        - Pantin
        - Paris
        - Pau
        - Périgueux
        - Perpignan
        - Pessac
        - Pierrefitte-sur-Seine
        - Plaisir
        - Poissy
        - Poitiers
        - Pontault-Combault
        - Pontoise
        - Puteaux
        - Quimper
        - Reims
        - Rennes
        - Rezé
        - Rillieux-la-Pape
        - Roanne
        - Romans-sur-Isère
        - Rosny-sous-Bois
        - Roubaix
        - Rouen
        - Rueil-Malmaison
        - Saint-André
        - Saint-Benoît
        - Saint-Brieuc
        - Saint-Chamond
        - Saint-Cloud
        - Saint-Denis
        - Saint-Étienne
        - Saint-Germain-en-Laye
        - Saint-Herblain
        - Saint-Joseph
        - Saint-Laurent-du-Maroni
        - Saint-Leu
        - Saint-Louis
        - Saint-Malo
        - Saint-Martin
        - Saint-Martin-d'Hères
        - Saint-Maur-des-Fossés
        - Saint-Médard-en-Jalles
        - Saint-Nazaire
        - Saint-Ouen-sur-Seine
        - Saint-Paul
        - Saint-Pierre
        - Saint-Priest
        - Saint-Quentin
        - Saint-Raphaël
        - Sainte-Geneviève-des-Bois
        - Sainte-Marie
        - Salon-de-Provence
        - Sarcelles
        - Sartrouville
        - Savigny-sur-Orge
        - Sceaux
        - Schiltigheim
        - Sète
        - Sevran
        - Six-Fours-les-Plages
        - Stains
        - Strasbourg
        - Suresnes
        - Talence
        - Tarbes
        - Thionville
        - Thonon-les-Bains
        - Toulon
        - Toulouse
        - Tourcoing
        - Tours
        - Trappes
        - Tremblay-en-France
        - Troyes
        - Valence
        - Valenciennes
        - Vandœuvre-lès-Nancy
        - Vannes
        - Vaulx-en-Velin
        - Vénissieux
        - Versailles
        - Vigneux-sur-Seine
        - Villefranche-sur-Saône
        - Villejuif
        - Villemomble
        - Villenave-d'Ornon
        - Villeneuve-Saint-Georges
        - Villeneuve-d'Ascq
        - Villepinte
        - Villeurbanne
        - Vincennes
        - Viry-Châtillon
        - Vitrolles
        - Vitry-sur-Seine
        - Wattrelos
      city:
        - "#{city_name}"
      street_suffix:
        - Adolphe Mille
        - Albert Jacquard
        - Albert Simonin
        - Albert de Mun
        - Alexis Bouvier
        - Alfred Couillard
        - Alfred Dequeant
        - Alphonse Daudet
        - Amal de Joinville
        - Ambroise Pare
        - Anatole France
        - Andre Cayron
        - Andre Messager
        - Arnaud Beltrame
        - Arsene
        - Auguste Renoir
        - Augustine Guignedoux
        - Baliat
        - Bardin Centre Colin
        - Baudin
        - Berteaux Dumas
        - Berthelot
        - Bineau
        - Blaise Pascal
        - Boileau
        - Bonaparte
        - Bournaire
        - Boutard
        - Brassat
        - Breville
        - Cantorum
        - Caron
        - Carpeaux
        - Cartault
        - Casteres
        - Chandon
        - Chanzy
        - Charlebourg
        - Charlemagne
        - Charles Duport
        - Charles Lecocq
        - Charles Moncelet
        - Charles de Gaulle
        - Charras le Verseau
        - Chem Ile
        - Chps Pierreux
        - Christophe
        - Claude Debussy
        - Compagnie des Eaux
        - Courte
        - D'Alencon
        - D'Argenteuil
        - D'Estienne d'Orves
        - Danton
        - Dauphine
        - De Bergkamen
        - De Berlin Spandau
        - De Bezons
        - De Bitche
        - De Bois Preau
        - De Brienne
        - De Chartres
        - De Chateaudun
        - De Colombes
        - De Diesbach
        - De Longchamp
        - De Madrid
        - De Marie Galante
        - De Neuilly
        - De Normandie
        - De Rochegude
        - De Saverne
        - De Stalingrad
        - De Stepney
        - De Verdun
        - De Zilina
        - De l'Abreuvoir
        - De l'Avenir
        - De l'Eglise
        - De la Benarde
        - De la Cerisaie
        - De la Cote des Amandiers
        - De la Defense
        - De la Gare
        - De la Grille Verte
        - De la Paix
        - De la Passerelle
        - De la Reine Henriette
        - De la Republique
        - De la Station
        - De la Terrasse
        - De la Victoire
        - Delesseux
        - Dellieux
        - Des Aubepines
        - Des Belles Vues
        - Des Bergeres
        - Des Blanchisseurs
        - Des Bleuets
        - Des Bouleaux Blancs
        - Des Bouvets
        - Des Carrieres
        - Des Champs Pierreux
        - Des Chenes
        - Des Corolles
        - Des Cotes d'Auty
        - Des Dames de st Louis
        - Des Dames
        - Des Demoiselles d'Avignon
        - Des Deux Soeurs
        - Des Erables
        - Des Ermites
        - Des Fauvelles
        - Des Gaudonnes
        - Des Glycines
        - Des Gros Gres
        - Des Hauts Tilliers
        - Des Hirondelles
        - Des Hortensias
        - Des Lilas
        - Des Lots Communaux
        - Des Marguerites
        - Des Marronniers
        - Des Mazurieres
        - Des Muettes
        - Des Murgers
        - Des Panoramas
        - Des Petits Clos
        - Des Peupliers
        - Des Pierres Mayettes
        - Des Platanes
        - Des Poiriers
        - Des Quais
        - Des Reniers
        - Des Rosiers
        - Des Sablons
        - Des Sculpteurs
        - Des Souffrettes
        - Des Tilleuls
        - Des Tres Bourgeois
        - Des Trois Fontanot
        - Des Vosges
        - Desire Ramelet
        - Desiree
        - Doudart de Lagree
        - Du 18 Juin 1940
        - Du 1er Consul
        - Du 8 Mai 1945
        - Du Bac
        - Du Bois Beranger
        - Du Bois
        - Du Capitaine Guynemer
        - Du Chemin Vert
        - Du Colonel de Ponchalon
        - Du Contrat Social
        - Du Docteur Pierre
        - Du General Audran
        - Du General de Gaulle
        - Du Gue
        - Du Guichet
        - Du Huit Mai 1945
        - Du Mans
        - Du Midi
        - Du Moulin
        - Du Onze Novembre 1918
        - Du Onze Novembre
        - Du Parc de l'Ile
        - Du Pere Talvas
        - Du Port
        - Du Puits
        - Du Sommerard
        - Du Stade
        - Du Tertre
        - Du pdt Wilson
        - Du pre Boni
        - Du pre Marchais
        - Dupont de Chambon
        - Dupuis
        - Edmond Rostand
        - Emile Bernard
        - Emile Duclaux
        - Emile
        - Estienne d Orves
        - Etienne Cabet
        - Eugene Barbier
        - Eugene Pottier
        - Eugene
        - Fabre d Eglantine
        - Felicie
        - Felix Faure
        - Felix Pyat
        - Ferdinand Buisson
        - Fernando
        - Ferron
        - Fleury
        - Fosse de l Aumone
        - Frederic Passy
        - Gabriel Philippe
        - Gambetta
        - Garnier
        - Gaston Bonnier
        - Gay Lussac
        - Gds Pres
        - General Leclerc
        - Genevieve
        - Genouville
        - George Sand
        - Georges Clemenceau
        - Girouix
        - Grotius
        - Groupe Lorilleux
        - Guerlain
        - Gustave Flourens
        - Gutenberg
        - Hanriot
        - Helene
        - Heloise
        - Henri Barbusse
        - Hippolyte Bisson
        - Immeuble le Zodiaque
        - Jacqueline Auriol
        - Jacques Decour
        - Jacques Dulud
        - Jacques Offenbach
        - Jacques Prevert
        - Jacques
        - Jean Baptiste Baudoin
        - Jean Baptiste Lully
        - Jean Gabin
        - Jean Jacques Rousseau
        - Jean Jaures
        - Jean-baptiste Clement
        - Joliot Curie
        - Joseph Kosma
        - Joubert
        - Jules Ferry
        - Jules Quentin
        - Kleber
        - L'Abbaye
        - L'Orange
        - La Boétie
        - La Carriere au Loup
        - La Cote des Amandiers
        - La Lauziere
        - La Marne
        - La Seine
        - La gde Pce
        - Laffitte
        - Lamartine
        - Lateral
        - Laurent Cely
        - Le Couloir
        - Le Vieux Pont
        - Leclerc
        - Ledru Rollin
        - Lefevre
        - Leo  Hamon
        - Lepic
        - Les Courtilles
        - Les Luaps
        - Les Muguets
        - Les Orties
        - Les Taratres
        - Les Trianons
        - Levallois
        - Levernis
        - Levesque
        - Louis Bleriot
        - Louis Castel
        - Louis Chevrolet
        - Louis David
        - Louis Joseph Maes
        - Louis Willaume
        - Louis
        - Lucien Lanternier
        - Madeleine Michelis
        - Madeleine
        - Mal de Lattre de Tassigny
        - Marcadet
        - Marceau
        - Marcel Cachin
        - Marcel Paul
        - Marcel Pourtout
        - Marie Levasseur
        - Marie Louise
        - Marquis de Coriolis
        - Martissot
        - Mary
        - Maryse Hilsz
        - Maurice Ravel
        - Maurice Thorez
        - Maurice
        - Mequillet
        - Michel Raoult
        - Molière
        - Monsieur-le-Prince
        - Montorgueil
        - Mouffetard
        - Mozart
        - Neuilly Defense
        - Nobel
        - Nouvelle
        - Oberkampf
        - Olivier
        - Parking Nuages
        - Pasquier
        - Passoir
        - Pasteur
        - Pastourelle
        - Paul Eluard
        - Paul Herbe
        - Paul Langevin
        - Paul Rollet
        - Pauline
        - Pierre Charron
        - Pierre Curie
        - Pierre de Coubertin
        - Pins
        - Raguidelles
        - Raymond Aubrun
        - Residence de la Mairie
        - Richard Wallace
        - Robert Dupont
        - Robert Schumann
        - Roger
        - Rolland
        - Rollet Salvan
        - Royale
        - Sadi Carnot
        - Saint Hilaire
        - Saint Nicolas
        - Saint-Bernard
        - Saint-Denis
        - Saint-Dominique
        - Saint-Honoré
        - Saint-Jacques
        - Saint-Séverin
        - Sainte Foy
        - Sarah Bernhardt
        - Seine Bras de Gennevillier
        - Silvy
        - Simone Veil
        - Sir Alexander Fleming
        - St Pierre
        - St Thomas en Argonne
        - Station Defense Rer
        - Trasbot
        - Traversiere
        - Vaneau
        - Verdun
        - Vergniaud
        - Virginie
        - Zadkine
        - d'Abbeville
        - d'Alésia
        - d'Argenteuil
        - d'Assas
        - d'Orsel
        - de Caumartin
        - de Montmorency
        - de Nesle
        - de Paris
        - de Presbourg
        - de Provence
        - de Richelieu
        - de Rivoli
        - de Seine
        - de Solférino
        - de Tilsitt
        - de Vaugirard
        - de l'Abbaye
        - de l'Odéon
        - de la Bûcherie
        - de la Chaussée-d'Antin
        - de la Ferronnerie
        - de la Harpe
        - de la Huchette
        - de la Paix
        - de la Pompe
        - de la Victoire
        - des Coudrais
        - des Francs-Bourgeois
        - des Grands Augustins
        - des Lombards
        - des Panoramas
        - des Rosiers
        - des Saussaies
        - du Bac
        - du Chat-qui-Pêche
        - du Dahomey
        - du Faubourg Saint-Honoré
        - du Faubourg-Saint-Denis
        - du Havre
      street_name:
        - "#{street_prefix} #{street_suffix}"
      street_address:
        - "#{building_number} #{street_name}"
      full_address:
        - "#{street_address}, #{zip_code} #{city}"
        - "#{secondary_address}, #{street_address}, #{zip_code} #{city}"
      default_country:
        - France
